<html style="direction: ltr;">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <style id="bidiui-paragraph-margins" type="text/css">body p { margin-bottom: 0cm; margin-top: 0pt; } </style>
  </head>
  <body bidimailui-charset-is-forced="true" style="direction: ltr;">
    <p><br>
    </p>
    <div class="moz-cite-prefix">On 10/7/20 8:30 PM, <a class="moz-txt-link-abbreviated" href="mailto:wlavrijsen@lbl.gov">wlavrijsen@lbl.gov</a>
      wrote:<br>
    </div>
    <blockquote type="cite"
      cite="mid:alpine.LSU.2.22.394.2010071007470.14539@pc3-wlav.lbl.gov">Does
      anyone know how to add a marker based on the PyPy version in a
      <br>
      pyproject.toml file? Or, how else to enforce build dependencies
      for pip in
      <br>
      the same way that can be done with the pyproject.toml file?
      <br>
    </blockquote>
    <p><br>
    </p>
    <p>I don't see any marker that would work in the allowed
      environmental markers [0].</p>
    <p>Although implementation_version looks promising, it is defined as
      "sys.implementation.version" which is an alias to the python
      version. "implementation" is also not helpful.</p>
    <p>Matti<br>
    </p>
    <p><br>
    </p>
    <p>[0] <a class="moz-txt-link-freetext" href="https://www.python.org/dev/peps/pep-0508/#environment-markers">https://www.python.org/dev/peps/pep-0508/#environment-markers</a><br>
    </p>
  </body>
</html>